## python-numeric 24.2-9maemo2

=== debian/changelog ===
python-numeric (24.2-9maemo2) unstable; urgency=low

  * Add specific pymaemo patches:
   - 02-modify_demo_files.patch
   - 05-using_python2.5_in_setup-py.patch
   - 06-using_python2.5_in_clapck_scrub-py.patch
   - 07-create_COPYING_file.patch
  * Add quilt build dependency in debian/control

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Wed, 10 Dec 2008 07:37:46 -0400

python-numeric (24.2-9maemo1) unstable; urgency=low

  * Removed libblas-dev, liblapack-dev and gfortran dependencies
  * Building only python-numeric and python-numeric-dbg, all other 
    packages listed in debian/control were marked as optional

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Thu, 13 Nov 2008 12:05:26 -0400

python-numeric (24.2-9) unstable; urgency=low

  * Remove the extra dependency from the last NMU; a direct dependency
    is not required.
  * Update debian/watch. Closes: #449617.
  * Rebuild using current python-central package. Closes: #473606.
  * Update package description mentioning the package is deprecated.
    Closes: 477553.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jun 2008 20:42:52 +0200

python-numeric (24.2-8.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix python memory handling. Closes: #468994
  * Make package binNMUable and add a dependency
    python-numeric-ext-dbg -> python-numeric for policy.

 -- Thomas Viehmann <tv@beamnet.de>  Wed, 05 Mar 2008 07:55:17 +0100

python-numeric (24.2-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gfortran libs, closes: 463748
  * Make binNMU safe, closes: #434450
  * blas/lapack now available on arm, remove exception in build-deps
  * update build-conflicts: only atlas build-conflicts needed

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 26 Feb 2008 21:27:17 +0200

python-numeric (24.2-8) unstable; urgency=low

  * Merge changes from Ubuntu:
    - Build python debug packages.
  * The extension modules are built for all support python versions.
    Closes: #424065.
  * Build-conflict with python-setuptools.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jun 2007 08:55:05 +0200

python-numeric (24.2-7ubuntu1) feisty; urgency=low

  * Build the extension for the python debug interpreter.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 03:10:08 +0100

python-numeric (24.2-7) unstable; urgency=low

  * Fix build failure. Closes: #395508.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Oct 2006 13:43:02 +0200

python-numeric (24.2-6) unstable; urgency=medium

  * Overwrite dh_python's dependency generation. Closes: #383278.
  * python-numeric-tutorial: Fix python-imaging-tk recommendation.
    Closes: #377569.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 23:28:35 +0000

python-numeric (24.2-5) unstable; urgency=medium

  * python-numeric-tutorial: Add Python-Version attribute. Closes: #376046.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Jul 2006 10:52:28 +0200

python-numeric (24.2-4) unstable; urgency=low

  * Add versioned dependency on python-central. Closes: #375029.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jun 2006 23:28:14 +0000

python-numeric (24.2-3) unstable; urgency=low

  * Build using python-central.

 -- Matthias Klose <doko@debian.org>  Thu,  8 Jun 2006 03:05:01 +0200

python-numeric (24.2-2) unstable; urgency=low

  * python-numeric-tutorial: Depend on python-tk. Ubuntu #3124.
  * Fix memory leak in arrayobject.tolist(). Closes: #353721.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Mar 2006 01:10:05 +0100

python-numeric (24.2-1) unstable; urgency=low

  * New upstream version (24.2).

 -- Matthias Klose <doko@debian.org>  Tue, 15 Nov 2005 08:57:34 +0100

python-numeric (23.92-1) unstable; urgency=low

  * New upstream version (24.0 beta2).

 -- Matthias Klose <doko@debian.org>  Sat, 15 Oct 2005 12:25:27 +0000

python-numeric (23.8-4) unstable; urgency=low

  * Prefer lapack3/refblas3 over atlas-base. atlas-base doesn't build
    for all architectures and doesn't support amd64.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Aug 2005 12:24:03 +0200

python-numeric (23.8-3) unstable; urgency=low

  * Synchronise with Ubuntu.
    - Drop the python2.1 and python2.2 packages.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jun 2005 19:49:51 +0200

python-numeric (23.8-2) unstable; urgency=low

  * Fix typos in doc string (closes: #302422).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 15:40:49 +0200

python-numeric (23.7-2ubuntu1) hoary; urgency=low

  * Syncronise with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  8 Feb 2005 23:13:40 +0100

python-numeric (23.7-2) unstable; urgency=low

  * Fix assignment to shape fails on 64bit arch (at least alpha).
    Closes: #294246.

 -- Matthias Klose <doko@debian.org>  Tue,  8 Feb 2005 23:02:14 +0100

python-numeric (23.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Jan 2005 22:02:58 +0100

python-numeric (23.6-3ubuntu3) hoary; urgency=low

  * Remove python2.1, python2.2 packages.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 13 Jan 2005 00:43:38 +0100

python-numeric (23.6-3ubuntu2) hoary; urgency=low

  * Tighten build dependency on python.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 22:44:48 +0100

python-numeric (23.6-3ubuntu1) hoary; urgency=low

  * Support python2.4 as default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 17:12:22 +0100

python-numeric (23.6-3) unstable; urgency=low

  * Add python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Dec 2004 17:58:34 +0100

python-numeric (23.6-2) unstable; urgency=low

  * Don't build using lapack/blas on arm and m68k (closes: #278347).

 -- Matthias Klose <doko@debian.org>  Wed, 27 Oct 2004 00:52:42 +0200

python-numeric (23.6-1) unstable; urgency=low

  * New upstream version.
  * Fix failure in xplt.pli of an array (closes: #278164).


