=== debian/watch ===
version=3
http://sf.net/numpy/Numeric-([\d\.]*).tar.gz
